FORMAT: 1A

# Group Vectorapi
Group of all vectorapi-related resources.

In this resource, we obtain the releaseId and perform validations on the release based on its product type. We then return the releaseId in case of successful validation. In case of any errors, we return the validation messages for it.

## Validate Release [/vectorapi/validaterelease/get{?releaseId,access_token}]

+ Parameters

    + releaseId (number, `1275259`) ... An unique identifier of the message.
    + access_token (varchar, `some token`)


### Success Message for [GET]
+ Request JSON Message
    
    + Headers

            Accept: application/json

+ Response 200 (application/json)
    + Body
{
  "envelope": {
    "header": {
      "apiVersion": "1.0",
      "baseUrl": "vapi.alpha.devorch.com",
      "httpStatusCode": 200
    },
    "request": "validaterelease/get?params=vectorapi&validaterelease&get&json&1275259&<some_token>",
    "response": {
      "releaseId": "1275259"
    }
  }
}


## Validate Release [/vectorapi/validaterelease/get{?releaseId,access_token}]

Validation messages are returned in case of missing/incorrect information.

+ Parameters

    + releaseId (number, `264841`) ... An unique identifier of the message.
    + access_token (varchar, `some token`)


### Error Message for [GET]
+ Request JSON Message
    
    + Headers

            Accept: application/json

+ Response 200 (application/json)
    + Body
{
  "envelope": {
    "header": {
      "apiVersion": "1.0",
      "baseUrl": "vapi.alpha.devorch.com",
      "httpStatusCode": 400
    },
    "request": "validaterelease/get?params=vectorapi&validaterelease&get&json&264841&<some_token>",
    "fault": {
      "tracks": {
        "3544426": {
          "meta_language": "Meta Language is missing.",
          "track_composer": "Track Composer is missing."
        },
        "3544427": {
          "meta_language": "Meta Language is missing.",
          "track_composer": "Track Composer is missing."
        }
      }
    }
  }
}
